Class: Aws::SageMakerRuntime::Types::ModelStreamError

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-sagemakerruntime/lib/aws-sdk-sagemakerruntime/types.rb

Overview

An error occurred while streaming the response body. This error can have the following error codes:

ModelInvocationTimeExceeded

The model failed to finish sending the response within the timeout period allowed by Amazon SageMaker AI.

StreamBroken

The Transmission Control Protocol (TCP) connection between the client and the model was reset or closed.

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#error_codeString

This error can have the following error codes:

ModelInvocationTimeExceeded

The model failed to finish sending the response within the timeout period allowed by Amazon SageMaker AI.

StreamBroken

The Transmission Control Protocol (TCP) connection between the client and the model was reset or closed.

Returns:

  • (String)


619
620
621
622
623
624
625
# File 'gems/aws-sdk-sagemakerruntime/lib/aws-sdk-sagemakerruntime/types.rb', line 619

class ModelStreamError < Struct.new(
  :message,
  :error_code,
  :event_type)
  SENSITIVE = []
  include Aws::Structure
end

#event_typeObject

Returns the value of attribute event_type

Returns:

  • (Object)

    the current value of event_type



619
620
621
# File 'gems/aws-sdk-sagemakerruntime/lib/aws-sdk-sagemakerruntime/types.rb', line 619

def event_type
  @event_type
end

#messageString

Returns:

  • (String)


619
620
621
622
623
624
625
# File 'gems/aws-sdk-sagemakerruntime/lib/aws-sdk-sagemakerruntime/types.rb', line 619

class ModelStreamError < Struct.new(
  :message,
  :error_code,
  :event_type)
  SENSITIVE = []
  include Aws::Structure
end